
Redmine - Feature #3760

E-mail notifications for issue update/creation should include the attachments in the email

2009-08-19 19:53 - Enderson Maia

Status: New Start date: 2009-08-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When I send an attachment via e-mail, or via "New Issue" tab, the e-mail notification is sent, but without the attachmemnt.

I think that the e-mail notifications for Issues should have the attached files on it.

In my situation, some users just have access to the system via e-mail, and at the moment, they can't use the feature of attaching files

on the Issues on received e-mails from Redmine.

Related issues:

Related to Redmine - Feature #2770: Display of inline attached images in emai... Reopened 2009-02-18

Related to Redmine - Feature #12293: Add links to attachments in new issue em... Closed

Has duplicate Redmine - Feature #12516: Issue Email Notification To Include A... Closed

Has duplicate Redmine - Feature #4242: Send and attachment Closed 2009-11-18

Has duplicate Redmine - Feature #3152: Embed images in the notify emails inst... Closed 2009-04-10

History

#1 - 2009-09-01 13:07 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-10-23 19:27 - Eric Davis

- Subject changed from E-mail notifictions don't come with attachments to E-mail notifictions for issue update should include the attachments in the

email

I reworded the subject so it's a little easier to understand.

#3 - 2010-11-16 17:46 - claude g

I'm interested too if you could have a patch. You can add a link with Patch #2724 also it seems (those two issues are similar).

#4 - 2011-07-27 22:53 - Brian Crowell

- File email-attachments.patch added

This patch will add attachments to outbound emails, but it requires a fix to #2770 first. I have another patch there, but it's very hackish.

#5 - 2011-07-27 22:55 - Brian Crowell

Sorry, I should mention that patch is against Redmine 1.0.5.

#6 - 2011-07-28 20:34 - Terence Mill

That should be an option. Think of bigger files send out x times and many projects see redmine as central document store, so copying files all over

isnT wished.

Ir would be usefuly in any case  if any attachment gets added as http link to the attachment below the ticket text if not already linked in the ticket

description itself.-

#7 - 2011-07-28 21:18 - Enderson Maia

Terence Mill wrote:

That should be an option. Think of bigger files send out x times and many projects see redmine as central document store, so copying files all
over isnT wished.

Ir would be usefuly in any case  if any attachment gets added as http link to the attachment below the ticket text if not already linked in the ticket

description itself.-

 In my case, some people don't have web access to Redmine, just via e-mail, they couldn't get via http link.

#8 - 2012-01-10 19:24 - Hisham Al-Shurafa

+1 for this feature

#9 - 2012-12-10 12:02 - Anonymous

I tried applying Brian Crowell's patch on a 1.2 install and found that it did create attachments, but the attachments were just text files containing the

text of the update and the main ticket description. I suspect that this must therefore be a change between versions 1.0.5 and 1.2.0. Or maybe this is a

consequence of the mentioned #2770?

Is there anyone out there with a little more Ruby experience than me who could look at the patch and bring it more up to date?

#10 - 2012-12-10 16:16 - Brian Crowell

- File redmine-2770-hack-1.4.3.patch added

- File redmine-3760-1.4.3.patch added

Here are versions of the patches against Redmine 1.4.3.

What you're seeing is not #2770. #2770 is about the timing of adding the attachments to the issue before sending out notifications. It probably has

more to do with setting the multipart/alternative content type on the email, which I see I've dropped in my latest patch.

I should also mention that my #3760 patch might only work on Linux, since I'm using the "file" command to generate a content-type.

#11 - 2013-03-21 19:31 - Etienne Massip

- Subject changed from E-mail notifictions for issue update should include the attachments in the email to E-mail notifications for issue update/creation

should include the attachments in the email

#12 - 2013-05-13 09:49 - Dmitry K

Brian Crowell wrote:

Here are versions of the patches against Redmine 1.4.3.

 These patches does not work with Redmine 2.3.x :(

#13 - 2013-05-24 02:51 - Brandon Bertelsen

+1

#14 - 2013-08-06 17:27 - Selim Arslan

I Need the Function, too.

Redmine Version 2.3.2

#15 - 2013-08-08 14:00 - Selim Arslan

- File attachment by mail receive.tiff added

The system used by redmine.org has this function. How did you activate it?

Look to the attachment.

#16 - 2013-10-21 14:15 - Pavel Liavonau

Dmitry K wrote:

Brian Crowell wrote:

Here are versions of the patches against Redmine 1.4.3.

 These patches does not work with Redmine 2.3.x :(
 It is very useful function for those people, who like to use only email client. They need to see the attach icon with notification of changing/creating

issue. Now they need to go to redmine site on almost every mail to look for attachments.

Developers, please include this feature in roadmap, or update the patches up to current stable version.

Thanks.

#17 - 2014-04-23 10:25 - Paweł Pielat

+1

We also need this feature for 2.3.4. Is it going to be aplied in future?

#18 - 2014-09-26 10:36 - Fabian Strasser

+1

There is still high demand for that feature. Our company could need that feature greatly for the daily routine. Please make it an official patch for the

next minor/major release candidate.

This should be opt-in however, like there's a checkbox that needs activation within the projects' settings, meaning this should be a per-project setting.

Scenario why the current situation with only attachment-links being sent isn't (always) good:

0. We run an internal hotline where departments can pop-in general questions. Usually these are answered by the hotline guys directly. Sometimes

however they need help from another department that has specialised information.

1. Only our hotline guys have access to the Redmine installation to view and edit tickets. We additonally defined a usergroup that is only allowed to

comment on tickets, nothing more. This groups' purpose is to enable those people to send in comments/replies via email.

2. An issue is created, however help from another department is needed. The issue gets assigned to one of the persons of the group mentioned

above. The person gets an email notification with the issue and the request on what to do/how to help. However - in case that there are attachments -

those aren't sent along, but only linked.

3. Now the person has to click the link and has to sign in into the system for viewing the attachment. For that we had to enable the usergroup

additonal rights to view documents.

Here the patch could help. Instead of having to click a link, logging in and looking at the attachment there (and having to grant those people additional

rights within the system), the person could just have it mailed to his/her inbox directly.

#19 - 2014-10-07 17:11 - stephane chouinard

+1

#20 - 2015-02-02 10:27 - Rhiino Rex

+1

We also need this feature for Redmine 2.3.x (or 2.6.x). Does anyone has a working patch?

#21 - 2015-06-27 03:35 - huang huang

+1

#22 - 2015-06-27 19:49 - trigal trigal

+1

#23 - 2015-07-08 16:01 - Maicon Zucco

+1

#24 - 2015-10-02 02:55 - Brian Crowell

- File redmine3.1-3760.patch added

Greetings! Well, there was finally a reason at our company to update to Redmine 3.1, and so of course I had to update the patch that lets us get issue

attachments via email. This should be the only patch you need. patch -p1 < redmine3.1-3760.patch should do the trick.

This patch:

places attachments in outbound emails for issue creation and updates

adds attachments before creating the issue in the inbound mail handler so they're available to the mailer (:container is removed from the

Attachment.create statement to avoid saving the issue first)

#25 - 2016-03-23 14:54 - Go MAEDA

- Has duplicate Feature #4242: Send and attachment added

#26 - 2016-08-12 13:56 - Miodrag Milic

+1
Our vendors communicate with our Redmine only via email so they can never get attached files.

#27 - 2017-01-03 14:14 - Anthony BROCHET

- File RefreshPicture.png added

Brian Crowell wrote:

Greetings! Well, there was finally a reason at our company to update to Redmine 3.1, and so of course I had to update the patch that lets us get

issue attachments via email. This should be the only patch you need. patch -p1 < redmine3.1-3760.patch should do the trick.

This patch:

places attachments in outbound emails for issue creation and updates

adds attachments before creating the issue in the inbound mail handler so they're available to the mailer (:container is removed from the

Attachment.create statement to avoid saving the issue first)

 Hello,

Does the patch only work with a text format attachment? Is it normal?

You can find attach an image sent from a notification of Redmine.

Thank you for your help.

#28 - 2017-01-08 15:30 - hide hokawa

Hi Anthony, following modification in redmine3.1-3760.patch fixed attachment corruption issue occurred on my win environment.

old code:  File.read(attachment.diskfile)

new code:  File.binread(attachment.diskfile)

(two locations need modified)

#29 - 2017-01-08 15:38 - hide hokawa

Now trying plugin version based on conversation on this thread.

https://github.com/team888/redmine-issue_mail_with_attachments-plugin

#30 - 2017-01-09 13:57 - Anthony BROCHET

Thank you very much it works with this following correction:

File.binread(attachment.diskfile)

#31 - 2017-01-18 16:21 - team 888

Above plugin is listed on Plugins Directory now:

http://www.redmine.org/plugins/issue_mail_with_attachments

#32 - 2017-11-05 14:41 - Toshi MARUYAMA

- Has duplicate Feature #3152: Embed images in the notify emails instead of write a image link to redmine server added

#33 - 2018-02-07 12:10 - William  Boulet

Just tried to install plugin http://www.redmine.org/plugins/issue_mail_with_attachments on a Windows server installation (Bitnami stack), but after

placing the plugin Redmine services don't start anymore.

Is it only linux compatible ?

#34 - 2023-07-17 07:54 - Jon Goldberg

After waiting years for a Redmine 4 (then Redmine 5) version of http://www.redmine.org/plugins/issue_mail_with_attachments or this bug to be fixed, I

decided to teach myself Ruby and write the plugin myself: https://github.com/MegaphoneJon/redmine_email_attachments

This is literally my first Ruby project, so there's no warranty express or implied!  In particular, it assumes your files are in `/usr/src/redmine/files`,

because that's where they are in my Docker install.

Files

email-attachments.patch 2.4 KB 2011-07-27 Brian Crowell

redmine-2770-hack-1.4.3.patch 1.63 KB 2012-12-10 Brian Crowell

redmine-3760-1.4.3.patch 1.65 KB 2012-12-10 Brian Crowell
attachment by mail receive.tiff 81 KB 2013-08-08 Selim Arslan

redmine3.1-3760.patch 2.23 KB 2015-10-02 Brian Crowell
